Bug 1266654 - Disable secondary display crashes session
Disable secondary display crashes session
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 00:53 EDT by Berend De Schouwer
Modified: 2016-12-20 09:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:45:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Berend De Schouwer 2015-09-26 00:53:37 EDT
Description of problem:

Disabling the secondary display crashes wayland if that display is the left display.

Disabling the secondary display is fine if that display is on the right.


Version-Release number of selected component (if applicable):

libwayland-server-1.9.0-1.fc23.x86_64
gnome-settings-daemon-3.18.0-1.fc23.x86_64


How reproducible:

Always


Steps to Reproduce:
1. Laptop + extra display
2. Log in to wayland
3. Gnome settings -> display
4. Make the extra display the primary
4a.   by default the laptop (secondary) display is still left.
4b.   by default new apps pop up on the secondary.
5. Turn secondary display off (In settings, not physically)


Actual results:

Wayland/session/shell crash.  You go back to login.


Expected results:

Secondary display is turned off -- possibly automatically re-arranging displays.
A dialog that says "do you want to keep these settings?"  10 seconds to revert.


Additional info:

This works fine in X11.

If you arrange the displays at step 4a so that the laptop (secondary) display is on the right you can disable it.

You can now close the laptop lid, and continue working.

F23 beta
Comment 1 Fedora End Of Life 2016-11-24 07:36:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 09:45:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.